### Method

# Gio DataInputStream set_byte_order

#### Declaration [src]

    void
    g_data_input_stream_set_byte_order (
      GDataInputStream* stream,
      GDataStreamByteOrder order
    )

#### Description [src]

This function sets the byte order for the given `stream`. All subsequent reads from the `stream` will be read in the given `order`.

Sets property | `Gio.DataInputStream:byte-order`

#### Parameters

`order`

  Type: `GDataStreamByteOrder`

  A `GDataStreamByteOrder` to set.